import * as SQS from '@aws-sdk/client-sqs';
import { ILogger } from 'typescript-ilogger';
import { BaseClass } from 'typescript-helper-functions';
import { ISQSHelper } from './interface';
import { Attributes, AttributeValues } from './any';
export declare class SQSHelper extends BaseClass implements ISQSHelper {
    private Repository;
    private Options;
    constructor(logger: ILogger, repository?: SQS.SQS, options?: SQS.SQSClientConfig);
    CreateQueueAsync(queueName: string, attributes: Attributes): Promise<SQS.CreateQueueResult>;
    DeleteMessageAsync(queueUrl: string, receiptHandle: string): Promise<any>;
    DeleteMessagesAsync(queueUrl: string, receiptHandles: string[]): Promise<SQS.DeleteMessageBatchResult>;
    DeleteQueueAsync(queueUrl: string): Promise<any>;
    GetNumberOfMessagesOnQueueAsync(queueUrl: string): Promise<number>;
    GetQueueAttributesAsync(queueUrl: string): Promise<Attributes>;
    PurgeQueueAsync(queueUrl: string): Promise<any>;
    ReceiveAllMessagesAsync(queueUrl: string, visibilityTimeout?: number, attributeNames?: string[], messageAttributeNames?: string[]): Promise<SQS.Message[]>;
    ReceiveMessagesAsync(queueUrl: string, maxNumberOfMessages?: number, visibilityTimeout?: number, attributeNames?: string[], messageAttributeNames?: string[]): Promise<SQS.ReceiveMessageResult>;
    SendMessageAsync(queueUrl: string, messageBody: string, delaySeconds?: number, messageAttributes?: AttributeValues): Promise<SQS.SendMessageResult>;
    SendMessagesAsync(queueUrl: string, entries: SQS.SendMessageBatchRequestEntry[]): Promise<SQS.SendMessageBatchResult>;
}
