import * as SQS from '@aws-sdk/client-sqs';
import { Attributes, AttributeValues } from './any';
export interface ISQSHelper {
    CreateQueueAsync(queueName: string, attributes: Attributes): Promise<SQS.CreateQueueResult>;
    DeleteMessageAsync(queueUrl: string, receiptHandle: string): Promise<any>;
    DeleteMessagesAsync(queueUrl: string, receiptHandles: string[]): Promise<SQS.DeleteMessageBatchResult>;
    DeleteQueueAsync(queueUrl: string): Promise<any>;
    GetNumberOfMessagesOnQueueAsync(queueUrl: string): Promise<number>;
    GetQueueAttributesAsync(queueUrl: string): Promise<Attributes>;
    PurgeQueueAsync(queueUrl: string): Promise<any>;
    ReceiveAllMessagesAsync(queueUrl: string, visibilityTimeout?: number, attributeNames?: string[], messageAttributeNames?: string[]): Promise<SQS.Message[]>;
    ReceiveMessagesAsync(queueUrl: string, maxNumberOfMessages?: number, visibilityTimeout?: number, attributeNames?: string[], messageAttributeNames?: string[]): Promise<SQS.ReceiveMessageResult>;
    SendMessageAsync(queueUrl: string, messageBody: string, delaySeconds?: number, messageAttributes?: AttributeValues): Promise<SQS.SendMessageResult>;
    SendMessagesAsync(queueUrl: string, messages: SQS.SendMessageBatchRequestEntry[]): Promise<SQS.SendMessageBatchResult>;
}
